# wso2wsf::OMAttribute Class Reference
[OM Attribute]

class OMAttribute Defines the base class used to represent attributes in the Axis Object Model. Attributes are typically composed of a name and value pair. This class provides an abstraction to occurrences of attributes associated with the XML model. More...

`#include <OMAttribute.h>`

List of all members.

## Public Member Functions
WSF_EXTERN axiom_attribute_t * | getAxiomAttribute ()
WSF_EXTERN void | setAxiomAttribute (axiom_attribute_t *attribute)
WSF_EXTERN | OMAttribute (std::string name, std::string value, OMNamespace *ns)
WSF_EXTERN | OMAttribute (std::string name, std::string value)
WSF_EXTERN | OMAttribute (OMAttribute &attribute)
virtual | ~OMAttribute ()
WSF_EXTERN bool | equals (OMAttribute *attribute)
WSF_EXTERN std::string | getValue ()
WSF_EXTERN std::string | getName ()
WSF_EXTERN OMNamespace * | getNamespace ()
WSF_EXTERN bool | setNamespace (OMNamespace *ns, bool deleteExisting=false)
WSF_EXTERN void | setValue (std::string value)
virtual WSF_EXTERN std::string | toString ()
## Friends
WSF_EXTERN std::ostream & | operator<< (std::ostream &str, OMAttribute const &attribute)
WSF_EXTERN std::ostream & | operator<< (std::ostream &str, OMAttribute const *attribute)

## Detailed Description

class OMAttribute Defines the base class used to represent attributes in the Axis Object Model. Attributes are typically composed of a name and value pair. This class provides an abstraction to occurrences of attributes associated with the XML model.

## Constructor & Destructor Documentation

WSF_EXTERN wso2wsf::OMAttribute::OMAttribute | ( | std::string | name,
|  | std::string | value,
|  | OMNamespace * | ns |
| ) |  |  |

Creates a attribute struct.

Parameters:

  | name | attribute Name.
  | value | attribute Value.
  | ns | namespace.

WSF_EXTERN wso2wsf::OMAttribute::OMAttribute | ( | std::string | name,
|  | std::string | value |
| ) |  |  |

Creates a attribute struct.

Parameters:

  | name | attribute Name.
  | value | attribute Value.

WSF_EXTERN wso2wsf::OMAttribute::OMAttribute | ( | OMAttribute & | attribute | ) |

Copy Constructor.

Parameters:

  | attribute | attribute to be cloned.

virtual wso2wsf::OMAttribute::~OMAttribute | ( |  | ) | `[virtual]`

destructor that frees resources.

## Member Function Documentation

WSF_EXTERN bool wso2wsf::OMAttribute::equals | ( | OMAttribute * | attribute | ) |

Compares two attributes.

Parameters:

  | attribute | attribute to be compared.

Returns:
  true if the two attributes are equal, false otherwise.

WSF_EXTERN axiom_attribute_t* wso2wsf::OMAttribute::getAxiomAttribute | ( |  | ) |

Method to get the reference to the axiom_attribute struct.

Returns:
  reference to the axiom_attribute struct.

WSF_EXTERN std::string wso2wsf::OMAttribute::getName | ( |  | ) |

Method to obtain name.

Returns:
  attribute name, NULL on error.

WSF_EXTERN OMNamespace* wso2wsf::OMAttribute::getNamespace | ( |  | ) |

Method to obtain namespace.

Returns:
  attribute namespace, NULL on error.

WSF_EXTERN std::string wso2wsf::OMAttribute::getValue | ( |  | ) |

Method to obtain value.

Returns:
  value, NULL on error.

WSF_EXTERN void wso2wsf::OMAttribute::setAxiomAttribute | ( | axiom_attribute_t * | attribute | ) |

Method to set the reference to the axiom_attribute struct.

Parameters:

  | attribute | reference to the axiom_attribute struct.

WSF_EXTERN bool wso2wsf::OMAttribute::setNamespace | ( | OMNamespace * | ns,
|  | bool | deleteExisting = `false` |
| ) |  |  |

Method to set the OMNamespace. The passed OMNamespace will be owned by the Attribute.

Parameters:

  | ns | The OMNamespace object to be set.
  | deleteExisting | When this is set to true, it will delete the underlying c axiom namespace in addition to the referenced OMNamespace currently existing. If false, it will only delete the CPP level namespace.

Returns:
  true If the operation is successful. false if the operation failed. If false is returned, the namespace object is not owned by the attribute object.

WSF_EXTERN void wso2wsf::OMAttribute::setValue | ( | std::string | value | ) |

Method to set value.

Parameters:

  | value | attribute Value.

virtual WSF_EXTERN std::string wso2wsf::OMAttribute::toString | ( |  | ) | `[virtual]`

Converts this attribute to a string.

Returns:
  converted attribute as string.

## Friends And Related Function Documentation

WSF_EXTERN std::ostream& operator<< | ( | std::ostream & | str,
|  | OMAttribute const * | attribute |
| ) |  |  | `[friend]`

Overloaded insertion operator, is used for printing the attribute onto a console.

Parameters:

  | str | existing stream.
  | attribute | OMAttribute object.

Returns:
  a modified output stream is returned.

WSF_EXTERN std::ostream& operator<< | ( | std::ostream & | str,
|  | OMAttribute const & | attribute |
| ) |  |  | `[friend]`

Overloaded insertion operator, is used for printing the attribute onto a console.

Parameters:

  | str | existing stream.
  | attribute | OMAttribute object.

Returns:
  a modified output stream is returned.

The documentation for this class was generated from the following file:

- OMAttribute.h